Subject: Re: [Catalina-22] Bow Pulpit - Addressing Scratches

From: [email-masked]
Date: Wed, 09 May 2007 16:28:55 -0400

One more thing to consider-
 
 If the scratch is really deep consider that If you take too much metal off you may weaken the rail. Just take the sharp edges off and polish it with a buffer pad and drill motor. (use rubbing compound, flitz or ?) 
 
 Just my .02 cents worth
  
 Happy sailing-
 
 Bill Bell
 #13784 Phoenix
 87 sk
 FL
 
 -----Original Message-----
 From: [email-masked]
 To: [email-masked]
 Sent: Wed, 9 May 2007 3:54 PM
 Subject: Re: [Catalina-22] Bow Pulpit - Addressing Scratches
 
  Pete,   Having no idea how deep or bad your scratches are I can only answer you this way......... Buffing 101    For putting a high luster on anything, including stainless, you have to start with a coarser compound or grit and work yourself down to a fine compound or grit using a buffing cloth, wheel or pad then hand polish for really high luster. If you have an electric buffer or a wheel on a drill, they will work fine, and of course by hand if the scratces are very minor or you have a lot of time and energy.   Think of taking scratches out of stainless the same way as out of a piece of wood......it's all according to how bad the finish is you're starting with, as to what grit sandpaper you would start with and you always finish with the finest grit sandpaper.   It might be that you could get started with a coarse, then fine automotive rubbing compound and then polish. If really deep scratches you'll have to start with something more aggressive then proceed finer untill i!
 t suits your eye.    Sorry I'm being so generic but I have no idea what your starting with..........If it's reeeaaallly bad you'd have to start with sandpaper.......it's all about getting the surface around the scratch perfectly level with the bottom of the scratch.    Hope this helps!   Fair winds, Jon Golliher '85 SK 12712 Happy Daze Anderson, IN      ----- Original Message -----  From: Pete Skalski  To: [email-masked]  Sent: Tuesday, May 08, 2007 10:31 PM Subject: Re: [Catalina-22] Bow Pulpit - Addressing Scratches 
    Let me rephrase by asking a peripheral question that will hopefully generate a response. Please confirm that the C22 bow pulpit is made of stainless steel, not chrome, and that I can use a scotch brite pad or other non-iron abrasive to remove surface scratches. With the scratches removed I would assume nevr-dull will bring back the luster. Thanks.   Pete 11212 82 sk
 
  ----- Original Message -----
 From: "Pete Skalski" 
 To: [email-masked]
 Subject: [Catalina-22] Bow Pulpit - Addressing Scratches
 Date: Mon, 07 May 2007 20:25:39 -0500
 
     Does anyone have advice for polishing or buffing out scratches on the bow pulpit or other chrome for that matter? I checked on line and there are some products out there that claim to do the trick. Advice for those who have been there, done that greatly appreciated. Thanks,
 Pete
 11212  
 --   
 --     
________________________________________________________________________
Check Out the new free AIM(R) Mail -- 2 GB of storage and industry-leading spam and email virus protection.